Anonymous_User Absent Member.
Absent Member.
343 views

Designer fails to start post update.


Anyone experience this on linux? Updated this morning, and I cannot
start it.

> !SESSION 2014-04-02 10:36:10.695
> -----------------------------------------------
> eclipse.buildId=unknown
> java.version=1.6.0_31
> java.vendor=Sun Microsystems Inc.
> BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en
> Command-line arguments: -os linux -ws gtk -arch x86 -clean
>
> !ENTRY org.eclipse.core.runtime 4 0 2014-04-02 10:36:11.894
> !MESSAGE
> !STACK 0
> org.osgi.framework.BundleException: The bundle could not be resolved.
> Reason: Missing Constraint: Require-Bundle: org.eclipse.core.jobs;
> bundle-version="[3.2.0,4.0.0)"
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:305)
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:355)
> at
> org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1074)
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:616)
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:508)
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:299)
> at
> org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:489)
> at
> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:211)
> at
> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:321)
>
> !ENTRY org.eclipse.osgi 4 0 2014-04-02 10:36:11.897
> !MESSAGE Bundle
> initial@reference:file:plugins/org.eclipse.core.runtime_3.4.0.v20080512.jar/
> was not resolved.
>
> !ENTRY org.eclipse.osgi 4 0 2014-04-02 10:36:11.899
> !MESSAGE Application error
> !STACK 1
> java.lang.IllegalStateException: Unable to acquire application service.
> Ensure that the org.eclipse.core.runtime bundle is resolved and started
> (see config.ini).
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
> at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
> Source)
> at java.lang.reflect.Method.invoke(Unknown Source)
> at
> org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
> at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
> at org.eclipse.equinox.launcher.Main.main(Main.java:1212)
>
> !ENTRY org.eclipse.osgi 2 0 2014-04-02 10:36:11.933
> !MESSAGE One or more bundles are not resolved because the following root
> constraints are not resolved:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2014-04-02 10:36:11.933
> !MESSAGE Bundle
> update@packages/eclipse/plugins/NOVLNOTEBASE_2.0.0.20120510184034.jar
> was not resolved.
> !SUBENTRY 2 com.novellinc.novlnotebase 2 0 2014-04-02 10:36:11.933
> !MESSAGE Missing required bundle com.novell.idm.packagemanager_0.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2014-04-02 10:36:11.933


with many more lines complaining about missing bundles.


--
davidmakbc
------------------------------------------------------------------------
davidmakbc's Profile: https://forums.netiq.com/member.php?userid=2063
View this thread: https://forums.netiq.com/showthread.php?t=50428

Labels (1)
0 Likes
6 Replies
Anonymous_User Absent Member.
Absent Member.

Re: Designer fails to start post update.

On Wed, 02 Apr 2014 14:54:01 +0000, davidmakbc wrote:

> Anyone experience this on linux? Updated this morning, and I cannot
> start it.


Which update?


--
--------------------------------------------------------------------------
David Gersic dgersic_@_niu.edu
Knowledge Partner http://forums.netiq.com

Please post questions in the forums. No support provided via email.
If you find this post helpful, please click on the star below.
0 Likes
Anonymous_User Absent Member.
Absent Member.

Re: Designer fails to start post update.


Well, I was able to solve it by uninstalling and re-installing. Odd.


--
davidmakbc
------------------------------------------------------------------------
davidmakbc's Profile: https://forums.netiq.com/member.php?userid=2063
View this thread: https://forums.netiq.com/showthread.php?t=50428

0 Likes
cpedersen Outstanding Contributor.
Outstanding Contributor.

Re: Designer fails to start post update.

Did you install the 4.0.2 AU4a update on top of a 4.0.2 AU4a update ?



On 4/2/14, 4:54 PM, davidmakbc wrote:
>
> Anyone experience this on linux? Updated this morning, and I cannot
> start it.
>
>> !SESSION 2014-04-02 10:36:10.695
>> -----------------------------------------------
>> eclipse.buildId=unknown
>> java.version=1.6.0_31
>> java.vendor=Sun Microsystems Inc.
>> BootLoader constants: OS=linux, ARCH=x86, WS=gtk, NL=en
>> Command-line arguments: -os linux -ws gtk -arch x86 -clean
>>
>> !ENTRY org.eclipse.core.runtime 4 0 2014-04-02 10:36:11.894
>> !MESSAGE
>> !STACK 0
>> org.osgi.framework.BundleException: The bundle could not be resolved.
>> Reason: Missing Constraint: Require-Bundle: org.eclipse.core.jobs;
>> bundle-version="[3.2.0,4.0.0)"
>> at
>> org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:305)
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:355)
>> at
>> org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1074)
>> at
>> org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:616)
>> at
>> org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:508)
>> at
>> org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:299)
>> at
>> org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:489)
>> at
>> org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:211)
>> at
>> org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:321)
>>
>> !ENTRY org.eclipse.osgi 4 0 2014-04-02 10:36:11.897
>> !MESSAGE Bundle
>> initial@reference:file:plugins/org.eclipse.core.runtime_3.4.0.v20080512.jar/
>> was not resolved.
>>
>> !ENTRY org.eclipse.osgi 4 0 2014-04-02 10:36:11.899
>> !MESSAGE Application error
>> !STACK 1
>> java.lang.IllegalStateException: Unable to acquire application service.
>> Ensure that the org.eclipse.core.runtime bundle is resolved and started
>> (see config.ini).
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:74)
>> at
>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:386)
>> at
>> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
>> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
>> at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
>> at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown
>> Source)
>> at java.lang.reflect.Method.invoke(Unknown Source)
>> at
>> org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
>> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
>> at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
>> at org.eclipse.equinox.launcher.Main.main(Main.java:1212)
>>
>> !ENTRY org.eclipse.osgi 2 0 2014-04-02 10:36:11.933
>> !MESSAGE One or more bundles are not resolved because the following root
>> constraints are not resolved:
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2014-04-02 10:36:11.933
>> !MESSAGE Bundle
>> update@packages/eclipse/plugins/NOVLNOTEBASE_2.0.0.20120510184034.jar
>> was not resolved.
>> !SUBENTRY 2 com.novellinc.novlnotebase 2 0 2014-04-02 10:36:11.933
>> !MESSAGE Missing required bundle com.novell.idm.packagemanager_0.0.0.
>> !SUBENTRY 1 org.eclipse.osgi 2 0 2014-04-02 10:36:11.933

>
> with many more lines complaining about missing bundles.
>
>


0 Likes
Anonymous_User Absent Member.
Absent Member.

Re: Designer fails to start post update.

Casper Pedersen wrote:

> Did you install the 4.0.2 AU4a update on top of a 4.0.2 AU4a update ?


I managed to do this (in the hope that the endless "it's already installed, but we think you need to update anyway" messages would disappear), on Windows not too long ago. Reinstall fixed it.


--
If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...
0 Likes
Anonymous_User Absent Member.
Absent Member.

Re: Designer fails to start post update.


alexmchugh;242909 Wrote:
> Casper Pedersen wrote:
>
> > Did you install the 4.0.2 AU4a update on top of a 4.0.2 AU4a update ?

>
> I managed to do this (in the hope that the endless "it's already
> installed, but we think you need to update anyway" messages would
> disappear), on Windows not too long ago. Reinstall fixed it.
>
>
> --
> If you find this post helpful and are logged into the web interface,
> show your appreciation and click on the star below...


Yes, I actually hadn't realized it was erroneously saying I needed to
update, so I blindly went ahead. It was only when I checked other
Designer installs when I realized that's what happened, and indeed, an
uninstall/re-install solved it.

Thanks and sorry for the rehash if this is known!


--
davidmakbc
------------------------------------------------------------------------
davidmakbc's Profile: https://forums.netiq.com/member.php?userid=2063
View this thread: https://forums.netiq.com/showthread.php?t=50428

0 Likes
cpedersen Outstanding Contributor.
Outstanding Contributor.

Re: Designer fails to start post update.

On 4/2/14, 9:35 PM, davidmakbc wrote:
>
> alexmchugh;242909 Wrote:
>> Casper Pedersen wrote:
>>
>>> Did you install the 4.0.2 AU4a update on top of a 4.0.2 AU4a update ?

>>
>> I managed to do this (in the hope that the endless "it's already
>> installed, but we think you need to update anyway" messages would
>> disappear), on Windows not too long ago. Reinstall fixed it.
>>
>>
>> --
>> If you find this post helpful and are logged into the web interface,
>> show your appreciation and click on the star below...

>
> Yes, I actually hadn't realized it was erroneously saying I needed to
> update, so I blindly went ahead. It was only when I checked other
> Designer installs when I realized that's what happened, and indeed, an
> uninstall/re-install solved it.
>
> Thanks and sorry for the rehash if this is known!


No, this is not a known issue, only showed it self yesterday for "some"
hours, and not does not happen any more.

Thank you for the info.

Casper

0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.